--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Hash of modes. Subclass of Hash that defines any? and all? to check if boolean modes (Type D) are set
constants: []

full_name: Irc::Channel::ModeHash
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: all?
- !ruby/object:RI::MethodSummary 
  name: any?
name: ModeHash
superclass: Hash
